Core - Task # 45148

Epic # 55070 (Accepted): Workpackages
Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes

Story # 54853 (Accepted): As a user | want to correctly create, modify, preview and publish IRRE & MM related workspace changes

Status: Accepted Priority: Should have

Author: Oliver Hader Category: Backend User Interface
Created: 2013-02-04 Assigned To: Oliver Hader

Updated: 2014-03-16 Due date:

TYPO3 Version: 6.2

PHP Version: 5.3

Complexity:

Sprint Focus:

Subject: show_item does not consider workspace references

Description

typo3/show_item.php does not consider workspace references, that might be IRRE or plain MM.
The reason is the the overlay still uses the uid of the original record (which is the placeholder on new workspace records).
The fix is to use the processed record index "_ORIG_uid" instead of "uid" here, if available.

History

#1 - 2013-02-04 21:00 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch TYPO3_4-7 has been pushed to the review server.
It is available at https://review.typo3.org/18006

#2 - 2014-01-27 08:21 - Oliver Hader
- Parent task set to #54853

- Is Regression set to No

#3 - 2014-01-27 09:42 - Oliver Hader
- File references_example.png added

- Status changed from Under Review to On Hold

Needs to be rechecked, once the workspace fixes for IRRE/MM are integrated.

This screenshot shows, where the accordant workspace elements should be visualized (if any):

references_example.png

#4 - 2014-03-16 13:14 - Oliver Hader

- Status changed from On Hold to Accepted
- Target version deleted (4.5.23)

- TYPO3 Version changed from 4.7 to 6.2
